from requests import request
from core.email_template import html

url = "https://api.useplunk.com/v1/send"

# Change me to a Secret API Key from https://app.useplunk.com/settings/api
# Do not commit me
token = ""

def send(to_email, name, points, total_points):
    payload = {
        "to": to_email,
        "subject": "You've Earned Points Today",
        "body": html.format(name=name, points=points, total_points=total_points),
        "name": "Return&Earn",
    }
    headers = {
        "Content-Type": "application/json",
        "Authorization": f'Bearer {token}'
    }

    response = request("POST", url, json=payload, headers=headers)

    print(response.text)

# Test
# send("@cardiff.ac.uk", "", 20, 200)