from core.models import ENGLISH_LANGUAGE, WELSH_LANGUAGE

messages = {
    ENGLISH_LANGUAGE: {
        "STATE_TRANSITION_MESSAGE": "One second...",
        "STATE_ERROR_MESSAGE": "Sorry! Something went wrong!",
        "STATE_NO_CUSTOMER_MESSAGE": "Scan your Boots card to start.",
        "STATE_CUSTOMER_NOT_FOUND_MESSAGE": "Card not found. Try again.",
        "STATE_NO_PRODUCT_MESSAGE": "Now, scan your empty product.",
        "STATE_PRODUCT_NOT_FOUND_MESSAGE": "Product not found. Try again.",
        "STATE_IDLE_MESSAGE": "No activity detected. Signing out.",
        "STATE_DEPOSIT_LEFT_BIN_MESSAGE": "Put the item in the left bin.",
        "STATE_DEPOSIT_RIGHT_BIN_MESSAGE": "Put the item in the right bin.",
        "STATE_PRODUCT_DEPOSITED": "Return complete. Check your email.",
        "STATE_BIN_FULL_MESSAGE": "I'll be back! I need emptying!",
    },
    WELSH_LANGUAGE: {
        "STATE_TRANSITION_MESSAGE": "Un eiliad...",
        "STATE_ERROR_MESSAGE": "Aeth rhywbeth o'i le!",
        "STATE_NO_CUSTOMER_MESSAGE": "Sganiwch eich cerdyn Boots gyntaf.",
        "STATE_CUSTOMER_NOT_FOUND_MESSAGE": "Heb ganfod cerdyn. Ceisiwch eto.",
        "STATE_NO_PRODUCT_MESSAGE": "Nawr, sganiwch cynnyrch gwag.",
        "STATE_PRODUCT_NOT_FOUND_MESSAGE": "Heb ganfod cynnyrch. Ceisiwch eto.",
        "STATE_IDLE_MESSAGE": "Dim ymateb. Cofrestru allan.",
        "STATE_DEPOSIT_LEFT_BIN_MESSAGE": "Rhowch yr eitem yn y bin chwith.",
        "STATE_DEPOSIT_RIGHT_BIN_MESSAGE": "Rhowch yr eitem yn y bin dde.",
        "STATE_PRODUCT_DEPOSITED": "Wedi gorffen. Gwiriwch eich e-bost.",
        "STATE_BIN_FULL_MESSAGE": "Angen gwagio! Yn ôl yn fuan."
    },
}