from pyzbar.pyzbar import decode


def detect_code(frame):
    """
    Detects and decodes QR codes and barcodes.
    """
    decoded_objects = decode(frame)
    for obj in decoded_objects:
        barcode_data = obj.data.decode('utf-8')
        barcode_type = obj.type
        print(f"Saw {barcode_type}: {barcode_data}")
        return barcode_data

    return None
