from sqlalchemy import create_engine
from sqlalchemy.orm import sessionmaker
from core.models import Customer, Base, ENGLISH_LANGUAGE

DATABASE_URL = 'sqlite:///../local.sqlite'

engine = create_engine(DATABASE_URL)
Session = sessionmaker(bind=engine)
session = Session()

# You don't need to specify the language, as the field has a default value,
# but as an example of completeness we will here
new_customer = Customer(id="0600077786", first_name="Jeyan", email="kanagaratnamj@cardiff.ac.uk", locale=ENGLISH_LANGUAGE)
session.add(new_customer)
session.commit()

print("Done")