html = """\
<style>
    .page {{
        margin-left: 10%;
        margin-right: 10%;
    }}
    .section {{
        font-family: system-ui, sans-serif;
        text-align: center;
        color: #1E1C59;
        display: flex;
        flex-direction: column;
        margin-top: 20px;
    }}
    #points {{
        font-size: 64px;
        font-weight: bold;
    }}
    .left {{
        text-align: left;
    }}
    .footer {{
        margin-top: 100px;
        font-size: 14px;
    }}
</style>
<div class="page section">
    <p>
        Thank you, {name}, for recycling today. Every item returned is a step towards a cleaner planet.<br/><br/>
    </p>
    <div style="margin-top: 30px;margin-bottom: 20px;">
        <p>
            You've earned
        </p>
        <span id="points">
            {points}
        </span>
        <p>
            points from this return!<br><br>
            You currently have {total_points} points.
        </p>
    </div>
    <div class="section left">
        <h1 style="font-weight: bold">
            How to spend your points?
        </h1>
        <p>
            Spending your points has never been easier. Simply visit your local store, scan your card on eligible purchases, and earn savings on your future purchases by redeeming the points you earn from returning used cosmetic packaging.
        </p>
    </div>
    <div class="section left">
        <h1 style="font-weight: bold">
            Want another 5 points?
        </h1>
        <p>
            Did you know that you can earn double points every time you complete the survey below? It won&apos;t take more than a minute of your time.
        </p>
        <div class="section left">
            <p style="font-size: 20px;">
                How was your in-store experience today?
            </p>
            <div style="display: flex; flex-direction: row; justify-content: space-between; margin-top: 20px;">
                <a href="#">
                    <div style="background-color: #1E1C59; color: #FFFFFF; padding: 10px; border-radius: 5px; text-decoration: none;">
                        Poor
                    </div>
                </a>
                <a href="#">
                    <div style="background-color: #1E1C59; color: #FFFFFF; padding: 10px; border-radius: 5px; text-decoration: none;">
                        Unsatisfactory
                    </div>
                </a>
                <a href="#">
                    <div style="background-color: #1E1C59; color: #FFFFFF; padding: 10px; border-radius: 5px; text-decoration: none;">
                        Neutral
                    </div>
                </a>
                <a href="#">
                    <div style="background-color: #1E1C59; color: #FFFFFF; padding: 10px; border-radius: 5px; text-decoration: none;">
                        Satisfactory
                    </div>
                </a>
                <a href="#">
                    <div style="background-color: #1E1C59; color: #FFFFFF; padding: 10px; border-radius: 5px; text-decoration: none;">
                        Excellent
                    </div>
                </a>
            </div>
        </div>
    </div>
    <div class="footer">
        This email is factual and is being sent for demonstration purposes only.
    </div>
</div>
"""